Skip to main content

eth_getFilterChanges

POST

Returns filter results for the specified filter ID. Use a filter ID created via eth_newFilter, eth_newBlockFilter, or eth_newPendingTransactionFilter.
param[0]
filterIdstringrequired
Filter ID is the unique identifier returned when creating a filter. Expressed as a hexadecimal string.
Responses
addressstring
The address of the contract that emitted this log
topicsarray
Array of event signature hash and indexed parameters (up to 4 entries)
datastring
Non-indexed event parameter data (hex encoded)
blockNumberstring
Block number containing this log (hex)
transactionHashstring
Hash of the transaction that created this log
transactionIndexstring
Transaction position index within the block (hex)
blockHashstring
Hash of the block containing this log
logIndexstring
Log position index within the block (hex)
removedboolean
True if the log was removed due to a chain reorganization
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Unauthorized"
}
cURL
curl -X POST 'https://kaia-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "eth_getFilterChanges",
"params": [
"0xaf35d60b70eb3b54018456a0d365ea49"
]
}'